/* ----------------- FLEX & GRID ALIGNMENT ----------------- */
.flex--row {
    display: flex;
    flex-direction: row;
}

.flex--column {
    display: flex;
    flex-direction: column;
}

.flex--wrap {
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
}

.flex--1 {
    flex: 1;
}

.flex--shrink {
    flex-shrink: 0;
}

.items--center {
    align-items: center;
}

.items--end {
    align-items: end;
}

.justify--center {
    justify-content: center;
}

.justify--end {
    justify-content: end;
}

.justify--between {
    justify-content: space-between;
}


/* ----------------- TEXT ----------------- */
.text-decoration--none {
    text-decoration: none;
}

.text--underline {
    text-decoration: underline;
}

.text--center {
    text-align: center;
}

.text--capitalize {
    text-transform: capitalize;
}

.uppercase {
    text-transform: uppercase;
}

.line-height--1-6 {
    line-height: 1.6;
}

.line-height--1-4 {
    line-height: 1.4;
}

.line-height--1-3 {
    line-height: 1.3;
}

.line-height--1-2 {
    line-height: 1.2;
}

.line-height--1-1 {
    line-height: 1.1;
}

.line-height--1-0 {
    line-height: 1;
}

/* ----------------- WIDTH & HEIGHT ----------------- */
.width--full {
    width: 100%;
}

.width--fit {
    width: fit-content;
}

.height--fit {
    height: fit-content;
}

.height--full {
    height: 100%;
}

/* ----------------- SIZES & FIT ----------------- */
.object-fit--cover {
    object-fit: cover;
}

.object-position--top {
    object-position: top;
}

.background-position--top-center {
    background-position: top center;
}

.background-position--center-center {
    background-position: center center;
}

.background-size--cover {
    background-size: cover;
}

.aspect--1-1 {
    aspect-ratio: 1;
}

.aspect--3-2 {
    aspect-ratio: 3/2;
}

.aspect--5-4 {
    aspect-ratio: 5/4;
}

.aspect--4-5 {
    aspect-ratio: 4/5;
}

.aspect--5-2 {
    aspect-ratio: 5/2;
}

.absolute {
    position: absolute;
}

.relative {
    position: relative;
}

.auto--left {
    margin-left: auto;
}

.auto--right {
    margin-right: auto;
}

.auto--top {
    margin-top: auto;
}

.auto--bottom {
    margin-bottom: auto;
}


/* ---- RESPONSIVE MENU ---- */
.burger {
    display: none;
}

.hamburger .line {
    width: 35px;
    height: 2px;
    border-radius: 14px;
    display: block;
    margin: 8px auto;
    background: var(--black);
}

.hamburger:hover {
    cursor: pointer;
}

#hamburger.is-active .line:nth-child(1) {
    -webkit-transform: translateY(6px) rotate(45deg);
    -ms-transform: translateY(6px) rotate(45deg);
    -o-transform: translateY(6px) rotate(45deg);
    transform: translateY(6px) rotate(45deg);
}

#hamburger.is-active .line:nth-child(2) {
    -webkit-transform: translateY(-4px) rotate(-45deg);
    -ms-transform: translateY(-4px) rotate(-45deg);
    -o-transform: translateY(-4px) rotate(-45deg);
    transform: translateY(-4px) rotate(-45deg);
}

.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
}

.modal-content {
    padding-top: 250px;
    width: 100%;
    height: 100vh;
    position: relative;
    background: var(--background);
}

.no-scroll {
    overflow: hidden;
}


/* ---- TABLET ---- */
@media (max-width: 992px) {
    .burger {
        display: flex;
    }

    .collapse--tablet {
        flex-direction: column;
    }

    .tablet-items--start {
        align-items: start;
    }

    .tablet-items--center {
        align-items: center;
    }
}

/* ---- MOBILE ---- */
@media (max-width: 768px) {
    .collapse--mobile {
        flex-direction: column;
    }

    .collapse-items--start {
        align-items: start;
    }

    .collapse-items--center {
        align-items: center;
    }

}